﻿Public Class frmChooseColumns

    Private _AllColsList As List(Of DataGridViewColumn)

#Region "Properties"
    Public WriteOnly Property SetAllColsList() As List(Of DataGridViewColumn)
        Set(ByVal Value As List(Of DataGridViewColumn))
            _AllColsList = Value
        End Set
    End Property
    Public Property _ExportColsList As New List(Of DataGridViewColumn)
#End Region

    Private Sub frmChooseColumns_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        WriteListToDGV(_AllColsList, DGVallCols)
    End Sub

    Private Sub DGVallCols_CellContentClick(sender As Object, e As DataGridViewCellEventArgs) Handles DGVallCols.CellContentClick
        _ExportColsList.Add(_AllColsList(DGVallCols.CurrentCell.RowIndex))
        WriteListToDGV(_ExportColsList, DGVExportCols)
    End Sub

    Private Sub WriteListToDGV(Cols As List(Of DataGridViewColumn), DGV As DataGridView)
        DGV.Rows.Clear()
        For Each col In Cols
            DGV.Rows.Add(col.HeaderText)
        Next

    End Sub
End Class