﻿
Imports System.IO
Imports System.Runtime.InteropServices

Public Class Form1
    Private _DataFile As New FileInfo("File.xml")
    Private _SearchString As String

#Region "Load und Close zum speichern des Dts"
    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        If File.Exists(_DataFile.FullName) Then
            DtsSettings.ReadXml(_DataFile.FullName)
        End If
    End Sub

    Private Sub Form1_Closed(sender As Object, e As EventArgs) Handles Me.Closed
        DtsSettings.WriteXml(_DataFile.FullName)
    End Sub
#End Region


    Private Sub BTNStartExport_Click(sender As Object, e As EventArgs) Handles BTNStartExport.Click
        'Dim csvExport As New CLSExport
        'csvExport.ExportDGVtoCSV(ArticleDataGridView)
        'Exit Sub
        StartExport(ArticleDataGridView)
    End Sub

    Private Sub StartExport(DGV As DataGridView)

        Dim AllColsList As New List(Of DataGridViewColumn)
        Dim ExportColsList As New List(Of DataGridViewColumn)

        For Each col As DataGridViewColumn In DGV.Columns
            AllColsList.Add(col)
        Next

        Using ChooseColumns As New frmChooseColumns
            With ChooseColumns
                .SetAllColsList = AllColsList
                .ShowDialog()
                ExportColsList = ._ExportColsList
            End With
        End Using

        'For Each item In ExportColsList
        '    MessageBox.Show(item.HeaderText)
        'Next

        'Exit Sub

        Dim Path = My.Computer.FileSystem.SpecialDirectories.Desktop
        Dim csvFile As String = ""

        For Each col As DataGridViewColumn In ExportColsList
            csvFile &= col.HeaderText & ","
        Next
        csvFile = csvFile.TrimEnd(","c)
        csvFile &= Environment.NewLine

        Dim Rowcount = DGV.Rows.Count
        For Each row As DataGridViewRow In DGV.Rows
            'For i = 0 To Rowcount - 1
            For Each col In ExportColsList
                If Not DGV.Rows(row.Index).Cells(col.Index).Value Is Nothing Then
                    csvFile &= (DGV.Rows(row.Index).Cells(col.Index).Value).ToString & ","
                    'If Not DGV.Rows(i).Cells(col.Index).Value Is Nothing Then
                    '    csvFile &= (DGV.Rows(i).Cells(col.Index).Value).ToString & ","
                Else
                    csvFile &= ","
                End If
            Next
            csvFile = csvFile.TrimEnd(","c)
            csvFile &= Environment.NewLine
        Next
        'Next


        'For Each row As DataGridViewRow In DGV.Rows
        '    For Each cell As DataGridViewCell In row.Cells
        '        If Not cell.Value Is Nothing Then
        '            csvFile &= cell.Value.ToString & ","
        '        Else
        '            csvFile &= ","
        '        End If
        '    Next
        '    csvFile = csvFile.TrimEnd(","c)
        '    csvFile &= Environment.NewLine
        'Next

        My.Computer.FileSystem.WriteAllText(Path & "\test.csv", csvFile, False)

    End Sub

#Region "der normale csv speicher Code - gesamtes DGV"
    Private Sub csvExport(DGV As DataGridView)
        Dim Path = My.Computer.FileSystem.SpecialDirectories.Desktop
        Dim csvFile As String = ""

        For Each col As DataGridViewColumn In DGV.Columns
            csvFile &= col.HeaderText & ","
        Next
        csvFile = csvFile.TrimEnd(","c)
        csvFile &= Environment.NewLine

        For Each row As DataGridViewRow In DGV.Rows
            For Each cell As DataGridViewCell In row.Cells
                If Not cell.Value Is Nothing Then
                    csvFile &= cell.Value.ToString & ","
                Else
                    csvFile &= ","
                End If
            Next
            csvFile = csvFile.TrimEnd(","c)
            csvFile &= Environment.NewLine
        Next

        My.Computer.FileSystem.WriteAllText(Path & "\test.csv", csvFile, False)
    End Sub
#End Region
End Class


