﻿Imports System.ComponentModel

Namespace System.Windows.Forms
   <DesignerCategory("Code")> _
   Public Class NullableDateTimePicker : Inherits DateTimePicker

      <Bindable(True)> _
      Public Shadows Property Value As Date?
         Get
            If Not Checked Then Return Nothing
            Return MyBase.Value
         End Get
         Set( value As Date?)
            If value.Equals(Me.Value) Then Return
            Checked = value.HasValue
            If value.HasValue Then MyBase.Value = value.Value
         End Set
      End Property

   End Class

End Namespace